package com.sencorsta.urlMaster.controller;

import com.sencorsta.ids.core.entity.IdsRequest;
import com.sencorsta.ids.core.entity.IdsResponse;
import com.sencorsta.ids.core.entity.annotation.Autowired;
import com.sencorsta.ids.core.entity.annotation.Controller;
import com.sencorsta.ids.core.entity.annotation.RequestMapping;
import com.sencorsta.urlMaster.service.UrlMasterService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * @author ICe
 */
@Controller
@RequestMapping("/idsGateway")
@Slf4j
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class UrlMasterController {

    private final UrlMasterService urlMasterService;

    @RequestMapping("/helloWorld")
    public IdsResponse<String> helloWorld(IdsRequest<byte[]> request) {
        return new IdsResponse<>(urlMasterService.helloWorld(new String(request.getData()),request.getChannel()));
    }

}
